#include "helper.h"

constexpr int kMaxX = 1'000'000'000;

int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);

    int ns = opt<int>("n");
    int c = opt<int>("c");
    int g = opt<int>("g");

    auto sz = divide(ns, c);

    vector<vect<ll>> res;
    for (int n : sz) {
        auto poly = random_polygon(n, (2 * kMaxX) / 3);
        int dx = rnd.next(-kMaxX/3, kMaxX/3);
        int dy = rnd.next(-kMaxX/3, kMaxX/3);
        for (const auto& t : poly) {
            res.emplace_back(t.x + dx, t.y + dy);
        }
    }

    shuffle(res.begin(), res.end());

    println(res.size(), g);
    for (const auto& t : res) {
        println(t.x, t.y);
    }

    return 0;
}